inherit "room/room";

reset(arg) {
  if (arg) return; /* Set up once is enough. When the room is
		      created, reset() is called with argument 0.
		      Thereafter the argument is non-zero. */
  set_light(1);
  no_castle_flag = 1;
  the_realm = "NT";
  short_desc = "A small example room";
  long_desc =
    "This is an example room by Brom. It has a few exits,\n"+
    "and some of them are blocked for mortals and one even\n"+
    "for normal wizards. Guess which?\n";
  dest_dir = ({"room_shop", "north",
	       "room/adv_inner", "south",
	       "room/sea", "out",
	       "room/sea_bottom", "down",
	       "room/inner3", "arches"
	     });
  blocked_exits = ({ 0, "check_wiz", 0, 0, "check_arch"});
  /* Blocked_exits has one item for every exit until the last
     that need a check. */
}

check_wiz() {
  if ((this_player()->query_level())<20)
    return 1; /* Blocked */
  /* No return is equal to return 0 in which case
     its NOT blocked. */
}

check_arch() {
  if ((this_player()->query_level())<23)
    return 1; /* Blocked */
}

